<template>
  <div id = "header" class = "header">
    <img class = "profile-img" src = "../assets/profile.jpg" alt = "image of Tyler" />
    <h1 class = "name">Tyler Cran</h1>
    <h2 class = "profession">Back-End Developer</h2>
    <p class = "email">Email: tyler.j.cran@gmail.com</p>
    <div class = "social-media">
      <a href = "https://www.linkedin.com/in/tyler-cran-1b5783152/" target = "_blank">
        <img class = "social-link" src = "../assets/LI-In-Bug.png" alt = "linkedin" />
      </a>
      <a href = "https://gitlab.com/lucina.ravenwing" target = "_blank">
        <img class = "social-link" alt = "gitlab" src = "../assets/gitlab-discovery-logo.png" />
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: "Header"
}
</script>

<style scoped>
.header {
  display: grid;
  grid-template-columns: 256px 280px auto;
  grid-template-rows: 100px 80px auto;
  column-gap: 14px;
}

h1 {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  font-size: 50px;

  height: 40px;
  width: 250px;
  margin: 0;
}

h2 {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  font-size: 30px;

  height: 40px;
}

h2, p {
  margin: 0 0;
}

p {
  font-family: "Ubuntu M", "Noto Mono", monospace;

  line-height: 1.5;
}

a {
  display: inline-block;
}

.profile-img {
  width: 256px;
  height: 300px;
  border-radius: 125px;
  grid-column: 1 / 2;
  grid-row: 1 / 4;
}

.name {
  grid-column: 2 / 4;
}

.profession {
  grid-column: 2 / 4;
}

.email {
  width: 280px;
  align-content: end;
}

.social-link {
  width: 25px;
  height: 25px;
  margin-right: 6px;
}

@media (max-width: 700px) {
  .header {
    display: grid;
    grid-template-columns: minmax(0, auto);
    grid-template-rows: auto auto auto 100px 80px auto;
    column-gap: 14px;
    justify-items: center;
  }

  .profile-img {
    width: 256px;
    height: 300px;
    border-radius: 125px;
    grid-column: 1 / 2;
    grid-row: 1 / 4;
  }

  .name {
    grid-column: 1;
    grid-row: 4
  }

  .profession {
    grid-column: 1;
    grid-row: 5;
  }

  .email {
    width: 280px;
    align-content: end;
    grid-column: 1;
    grid-row: 6;
  }

  .social-media {
    grid-column: 1;
    grid-row: 7;
  }
}

/* TODO: Add in mobile stuff. */
</style>
